QGIS Application - Bug report #6791

crash adding features to OGR layers if any attribute index is missing in the layer

2012-11-29 10:27 AM - Giuseppe Sucameli

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli
Category: Data Provider

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 15939

Description

Here's the snippet to reproduce it.

feat = QgsFeature()
feat.setAttributeMap( {"pk" : "1000000"} )

layer = self.iface.activeLayer()
layer.startEditing()

layer.addFeature( feat )
layer.commitChanges()

Ok, the crash depends on the wrong attribute map key which is a string instead of the integer index of the field, | know.

But this cause bindings convert the string to -1 which is passed as attribute index to the OGR library...

Associated revisions

Revision 1a7ccd01 - 2012-11-30 02:55 AM - Giuseppe Sucameli

fix crash adding features containing missing attributes (fix #6791)

History

#1 - 2012-11-29 05:57 PM - Giuseppe Sucameli
- Status changed from In Progress to Closed

Fixed in changeset commit:"1a7ccd015d59b2316357af114464b01fea3beae".

2024-04-10

1/1




